## linux-signed-amd64 6.18.10+1

=== debian/changelog ===
linux-signed-amd64 (6.18.10+1) unstable; urgency=medium

  * Sign kernel from linux 6.18.10-1

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.18.10
    - nvmet-tcp: add bounds checks in nvmet_tcp_build_pdu_iovec
    - [amd64] x86/vmware: Fix hypercall clobbers
    - [amd64] x86/kfence: fix booting on 32bit non-PAE systems
    - [amd64] KVM: x86: Explicitly configure supported XSS from
      {svm,vmx}_set_cpu_caps()
    - [amd64] platform/x86: intel_telemetry: Fix swapped arrays in PSS output
    - ALSA: aloop: Fix racy access at PCM trigger
    - [arm64] pmdomain: qcom: rpmpd: fix off-by-one error in clamping to the
      highest state
    - [arm64] pmdomain: imx8mp-blk-ctrl: Keep gpc power domain on for system
      wakeup
    - [arm64,armhf] pmdomain: imx: gpcv2: Fix the imx8mm gpu hang due to wrong
      adb400 reset
    - [arm64] pmdomain: imx8mp-blk-ctrl: Keep usb phy power domain on for system
      wakeup
    - [arm64] pmdomain: imx8m-blk-ctrl: fix out-of-range access of bc->domains
    - procfs: avoid fetching build ID while holding VMA lock
    - mm/slab: Add alloc_tagging_slab_free_hook for memcg_alloc_abort_single
    - ceph: fix NULL pointer dereference in ceph_mds_auth_match()
      (Closes: #1125405)
    - rbd: check for EOD after exclusive lock is ensured to be held
    - ceph: fix oops due to invalid pointer for kfree() in parse_longname()
    - cgroup/dmem: fix NULL pointer dereference when setting max
    - cgroup/dmem: avoid rcu warning when unregister region
    - cgroup/dmem: avoid pool UAF
    - drm/amd: Set minimum version for set_hw_resource_1 on gfx11 to 0x52
    - gve: Fix stats report corruption on queue count change
    - gve: Correct ethtool rx_dropped calculation
    - mm, shmem: prevent infinite loop on truncate race
    - Revert "drm/amd: Check if ASPM is enabled from PCIe subsystem"
    - nouveau: add a third state to the fini handler.
    - nouveau/gsp: use rpc sequence numbers properly.
    - nouveau/gsp: fix suspend/resume regression on r570 firmware
    - [armhf] net: cpsw: Execute ndo_set_rx_mode callback in a work queue
    - [armhf] net: cpsw_new: Execute ndo_set_rx_mode callback in a work queue
    - [riscv64] net: spacemit: k1-emac: fix jumbo frame support
    - KVM: Don't clobber irqfd routing type when deassigning irqfd
    - hwmon: (gpio-fan) Fix set_rpm() return value
    - hwmon: (gpio-fan) Allow to stop FANs when CONFIG_PM is disabled
    - PCI/ERR: Ensure error recoverability at all times
    - treewide: Drop pci_save_state() after pci_restore_state()
    - bus: mhi: host: pci_generic: Add Telit FE990B40 modem support
    - sched/fair: Skip sched_balance_running cmpxchg when balance is not due
    - sched/fair: Have SD_SERIALIZE affect newidle balancing
    - rust_binder: correctly handle FDA objects of length zero
    - rust_binder: add additional alignment checks
    - rust_binderfs: fix ida_alloc_max() upper bound
    - binder: fix UAF in binder_netlink_report()
    - binder: fix BR_FROZEN_REPLY error log
    - binderfs: fix ida_alloc_max() upper bound
    - tracing: Fix ftrace event field alignments
    - wifi: mac80211: ocb: skip rx_no_sta when interface is not joined
    - wifi: wlcore: ensure skb headroom before skb_push
    - wifi: mac80211: don't WARN for connections on invalid channels
    - net: usb: sr9700: support devices with virtual driver CD
    - wifi: iwlwifi: Implement settime64 as stub for MVM/MLD PTP
    - [amd64] platform/x86: dell-lis3lv02d: Add Latitude 5400
    - block,bfq: fix aux stat accumulation destination
    - smb/server: call ksmbd_session_rpc_close() on error path in
      create_smb2_pipe()
    - md: suspend array while updating raid_disks via sysfs
    - smb/server: fix refcount leak in smb2_open()
    - io_uring: use GFP_NOWAIT for overflow CQEs on legacy rings
    - smb/server: fix refcount leak in parse_durable_handle_context()
    - btrfs: do not free data reservation in fallback from inline due to -ENOSPC
    - [amd64] HID: intel-ish-hid: Update ishtp bus match to support device ID
      table
    - HID: multitouch: add MT_QUIRK_STICKY_FINGERS to MT_CLS_VTL
    - btrfs: fix reservation leak in some error paths when inserting inline
      extent
    - [riscv64] Sanitize syscall table indexing under speculation
    - [amd64] HID: intel-ish-hid: Reset enum_devices_done before enumeration
    - HID: playstation: Center initial joystick axes to prevent spurious events
    - ALSA: hda/realtek: Add quirk for Acer Nitro AN517-55
    - [amd64] x86/sev: Disable GCOV on noinstr object
    - ALSA: hda/realtek: add HP Laptop 15s-eq1xxx mute LED quirk
    - [arm64] PCI: qcom: Remove ASPM L0s support for MSM8996 SoC
    - netfilter: replace -EEXIST with -EBUSY
    - drm/amd/display: Reduce number of arguments of dcn30's
      CalculatePrefetchSchedule()
    - HID: quirks: Add another Chicony HP 5MP Cameras to hid_ignore_list
    - HID: i2c-hid: fix potential buffer overflow in i2c_hid_get_report()
    - [amd64] HID: Intel-thc-hid: Intel-thc: Add safety check for reading DMA
      buffer
    - HID: Apply quirk HID_QUIRK_ALWAYS_POLL to Edifier QR30 (2d99:a101)
    - drm/amd/pm: Disable MMIO access during SMU Mode 1 reset
    - ring-buffer: Avoid softlockup in ring_buffer_resize() during memory free
    - [riscv64] trace: fix snapshot deadlock with sbi ecall
    - HID: logitech: add HID++ support for Logitech MX Anywhere 3S
    - HID: Elecom: Add support for ELECOM M-XT3DRBK (018C)
    - wifi: mac80211: collect station statistics earlier when disconnect
    - [amd64] ASoC: Intel: sof_sdw: Add new quirks for PTL on Dell with CS42L43
    - [riscv64] dmaengine: mmp_pdma: Fix race condition in mmp_pdma_residue()
    - ASoC: simple-card-utils: Check device node before overwrite direction
    - nvme-fc: release admin tagset if init fails
    - ALSA: usb-audio: Prevent excessive number of frames
    - nvmet-tcp: fixup hang in nvmet_tcp_listen_data_ready()
